## GstPushSrc GstPushSrc |

## Types and Values

struct | GstPushSrc
struct | GstPushSrcClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc

## Includes

    #include <gst/base/gstpushsrc.h>

## Description

## Functions

## Types and Values

### struct GstPushSrc

    struct GstPushSrc;

### struct GstPushSrcClass

    struct GstPushSrcClass {
      GstBaseSrcClass parent_class;

      /* ask the subclass to create a buffer, the default implementation
       * uses alloc and fill */
      GstFlowReturn (*create) (GstPushSrc *src, GstBuffer **buf);
      /* allocate memory for a buffer */
      GstFlowReturn (*alloc)  (GstPushSrc *src, GstBuffer **buf);
      /* ask the subclass to fill a buffer */
      GstFlowReturn (*fill)   (GstPushSrc *src, GstBuffer *buf);
    };